Subject: Re: OF properties access ?

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 19 Jan 2004 22:42:05 +1100

> And indeed, the problem seems to be that i get /cpus, and not
> /cpus/PowerPC,74x7. I thought that the /cpus should give the cpu per
> default or something such. What should i do here, i can go look for a
> PowerPC,74x7, but the board can also come with other CPUs (the 750Cxe
> for now). Maybe i could remove the cpus checking code completely, and go
> looking for the cpu type directly.

For the "cpus" case, just get to the first child

Ben.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/